Submit answer
curl --request POST \
--url https://api.example.com/v1/kyb/submit-answer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_name": "<string>",
"question_name": "<string>",
"answer": {},
"record_index": 1,
"metadata": {}
}
'import requests
url = "https://api.example.com/v1/kyb/submit-answer"
payload = {
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_name": "<string>",
"question_name": "<string>",
"answer": {},
"record_index": 1,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actor_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
flow_name: '<string>',
question_name: '<string>',
answer: {},
record_index: 1,
metadata: {}
})
};
fetch('https://api.example.com/v1/kyb/submit-answer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flow": {
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_name": "<string>",
"current_step": "<string>",
"previous_step": "<string>",
"sections": [
{
"name": "<string>",
"title": "<string>",
"icon": "<string>",
"show": true
}
]
},
"question": {
"name": "<string>",
"section": {
"name": "<string>",
"title": "<string>",
"icon": "<string>",
"show": true
},
"q": "<string>",
"description": "<string>",
"message": {
"text": "<string>"
},
"schema": {},
"uiSchema": {},
"formData": {}
}
}Flow
Submit answer
Submit an answer for a KYB flow question
POST
/
v1
/
kyb
/
submit-answer
Submit answer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I